Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.consumer.management.common
Enum ProxyResourceContext.ProxyResourceActionScope

    java.lang.Object
      java.lang.Enum<ProxyResourceContext.ProxyResourceActionScope>
          com.bea.wsrp.consumer.management.common.ProxyResourceContext.ProxyResourceActionScope

All Implemented Interfaces
  Serializable, Comparable<ProxyResourceContext.ProxyResourceActionScope>

Enclosing class:
  ProxyResourceContext

    public static enum ProxyResourceContext.ProxyResourceActionScope

extends Enum<ProxyResourceContext.ProxyResourceActionScope>

If multiple versions of a resource already exist when creating a new resource, `ProxyResourceActionScope` defines whether the selected `ProxyResourceAction` applies to `ALL` resources or only the resource marked `primary`.

Enum Constant Summary
`ALL`
`PRIMARY`

Method Summary
`static ProxyResourceContext.ProxyResourceActionScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProxyResourceContext.ProxyResourceActionScope[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIMARY

    public static final ProxyResourceContext.ProxyResourceActionScope PRIMARY

### ALL

    public static final ProxyResourceContext.ProxyResourceActionScope ALL

Method Detail

### values

    public static final ProxyResourceContext.ProxyResourceActionScope[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ProxyResourceContext.ProxyResourceActionScope valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved